# IRdChunkHeader Interface Reference

Inherits IUnknown.

List of all members.

## Public Member Functions
HRESULT | Clear (void)
## Properties
BSTR * | Producer`[get]`
BSTR | Producer`[set]`
IID * | Type`[get]`
IID | Type`[set]`
BSTR * | Description`[get]`
BSTR | Description`[set]`
BSTR * | Author`[get]`
BSTR | Author`[set]`

## Detailed Description

Purpose of the chunk is to describe base serialized object’s properties. Usually this chunk should be placed as first in the stream/file. Each stream/file should contain only one Header chunk.

For script version see IRdChunkHeaderDisp.

## Member Function Documentation

HRESULT IRdChunkHeader::Clear | ( | void |  | ) |

Method clear the chunk.

## Property Documentation

BSTR * IRdChunkHeader::Producer`[get]`

A text identification that informs you, as to which Rosetta system or specific application, this stream/file belongs to.

Parameters:

  | pbstrVal | [out, retval] - returns producer identification string.

BSTR IRdChunkHeader::Producer`[set]`

Use this property to set producer string.

Parameters:

  | bstrVal | [in] - producer identification string.

IID * IRdChunkHeader::Type`[get]`

In case the stream is represented by file, the type could be identified by extension too. But generally the type should be detected from this field.
Predefined values:

- IRS_FILETYPE_IID_OBJ - Rosetta object file
- IRS_FILETYPE_IID_SCN - Rosetta scene file
- IRS_FILETYPE_IID_CTX - Rosetta context file

Parameters:

  | pidType | [out, retval] - returns stream/file type id.

IID IRdChunkHeader::Type`[set]`

Use this property to set type of the stream/file.

Parameters:

  | idType | [in] - stream/file type id.

BSTR * IRdChunkHeader::Description`[get]`

A text description of this stream/file.

Parameters:

  | pbstrVal | [out, retval] - returns stream/file text description.

BSTR IRdChunkHeader::Description`[set]`

Use this property to set a text description of this stream/file.

Parameters:

  | bstrVal | [in] - stream/file text description.

BSTR * IRdChunkHeader::Author`[get]`

Author of this stream/file.

Parameters:

  | pbstrVal | [out, retval] - returns stream/file author.

BSTR IRdChunkHeader::Author`[set]`

Use this property to set Author of this stream/file.

Parameters:

  | pbstrVal | [in] - specify stream/file author.